Subject: Re: IPCP within MP?

From: Vernon Schryver <[email-masked]>
Date: Fri, 28 Apr 2000 16:00:53 -0600 (MDT)

> From: James Carlson <[email-masked]>
> To: Archie Cobbs <[email-masked]>

> ...
> >   3.  My side attempts to send an IPCP Configure-Request that's
> >       split into two parts and sent as two multi-link fragments
> >       over the two links.
>
> No problem with that.  (I don't think I've seen an implementation yet
> that does this, though ...)
>
> >   4.  The remote side responds with an LCP Protocol-Reject
> >       of protocol 0x003d (the multilink protocol) on link #2,
> >       and ignores my IPCP Configure-Request. The protocol
> >       reject contains enough of the packet to show that it's
> >       rejecting one of the IPCP Configure-Request MP fragments.
>
> Assuming that the second link is actually configured to run MP, that's
> a rather horrible bug.

Yes, #4 indicates serious problems in the peer, but ...
while #3 doesn't violate the standard, it does violate the dictum to be
conservative in what you send.  Given how many PPP implementations are
put together, fragmenting any PPP control packet is asking for trouble.

Consider also that IPCP Configure-Requests are necessarily very tiny,
and that fragmenting tinygrams is a bad idea on performance grounds.

Vernon Schryver    [email-masked]